﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.props" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{B2CF4014-AB04-4CDE-8228-944585D46C95}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>COMMON</RootNamespace>
    <AssemblyName>COMMON</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Class1.cs" />
    <Compile Include="CMMS.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>CMMS.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="CMMS.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="CMMS.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>CMMS.edmx</DependentUpon>
    </Compile>
    <Compile Include="Complex.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="Customer.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="CustomerShop.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="CustomerShopStatu.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="CustomerType.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="DataContextFactory.cs" />
    <Compile Include="ModuleDbContext.cs" />
    <Compile Include="Option.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="Price.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Role.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="RoleAccessList.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="Shop.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="ShopCounter.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="Status.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="SystemAccessObject.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="SystemEnumsList.cs" />
    <Compile Include="User.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="UserJsonClass.cs" />
    <Compile Include="UserRecovery.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
    <Compile Include="UserRole.cs">
      <DependentUpon>CMMS.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <EntityDeploy Include="CMMS.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>CMMS.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="CMMS.edmx.diagram">
      <DependentUpon>CMMS.edmx</DependentUpon>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="CMMS.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>CMMS.edmx</DependentUpon>
      <LastGenOutput>CMMS.Context.cs</LastGenOutput>
    </Content>
    <Content Include="CMMS.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>CMMS.edmx</DependentUpon>
      <LastGenOutput>CMMS.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.props'))" />
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.targets'))" />
  </Target>
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.targets" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" />
</Project>